---
title: Screen.lockOrientation()
slug: Web/API/Screen/lockOrientation
tags:
  - API
  - CSSOM View
  - Deprecated
  - Method
  - NeedsUpdate
  - Screen Orientation
  - screen
---
<p>{{APIRef("Screen Orientation API")}}{{Deprecated_Header}}</p>

<p>The <strong><code>lockOrientation()</code></strong> method of the {{DOMxRef("Screen")}} interface locks the screen into a specified orientation. The {{DOMxRef("ScreenOrientation.lock()")}} method should be used instead.</p>

<div class="notecard note">
<p><strong>Note:</strong> This method only works for installed Web apps or for Web pages in <a href="/en-US/docs/Web/Guide/DOM/Using_full_screen_mode">full-screen mode</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>lockAllowed</var> = window.screen.lockOrientation(<var>orientation</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>orientation</var></code></dt>
 <dd>The orientation into which to lock the screen. This is either a string or an array of strings. Passing several strings lets the screen rotate only in the selected orientations.</dd>
</dl>

<p>The following strings represent the possible orientation requirements you may specify:</p>

<dl>
 <dt><code>portrait-primary</code></dt>
 <dd>It represents the orientation of the screen when it is in its primary portrait mode. A screen is considered in its primary portrait mode if the device is held in its normal position and that position is in portrait, or if the normal position of the device is in landscape and the device held turned by 90° clockwise. The normal position is device dependant.</dd>
 <dt><code>portrait-secondary</code></dt>
 <dd>It represents the orientation of the screen when it is in its secondary portrait mode. A screen is considered in its secondary portrait mode if the device is held 180° from its normal position and that position is in portrait, or if the normal position of the device is in landscape and the device held is turned by 90° anticlockwise. The normal position is device dependant.</dd>
 <dt><code>landscape-primary</code></dt>
 <dd>It represents the orientation of the screen when it is in its primary landscape mode. A screen is considered in its primary landscape mode if the device is held in its normal position and that position is in landscape, or if the normal position of the device is in portrait and the device held is turned by 90° clockwise. The normal position is device dependant.</dd>
 <dt><code>landscape-secondary</code></dt>
 <dd>It represents the orientation of the screen when it is in its secondary landscape mode. A screen is considered in its secondary landscape mode if the device held is 180° from its normal position and that position is in landscape, or if the normal position of the device is in portrait and the device held is turned by 90° anticlockwise. The normal position is device dependant.</dd>
 <dt><code>portrait</code></dt>
 <dd>It represents both <code>portrait-primary</code> and <code>portrait-secondary</code>.</dd>
 <dt><code>landscape</code></dt>
 <dd>It represents both <code>landscape-primary</code> and <code>landscape-secondary</code>.</dd>
 <dt><code>default</code></dt>
 <dd>It represents either <code>portrait-primary </code>and <code>landscape-primary</code> depends on natural orientation of devices. For example, if the panel resolution is 1280*800, <code>default</code> will make it landscape, if the resolution is 800*1280, <code>default</code> will make it to portrait.</dd>
</dl>

<div class="note">
<p><strong>Note:</strong> It's possible to set several locks at the same time. So, if the lock is set for only one orientation, the screen orientation will never change until the screen orientation is unlocked. Otherwise, the screen orientation will change from an orientation to another as long as the orientations are amongst the orientations the device has been locked to.</p>
</div>

<h3 id="Return_value">Return value</h3>

<p>Returns <code>true</code> if the orientation was authorized to be locked or <code>false</code> if the orientation locking was denied. Note that the return value doesn't indicate that the screen orientation is indeed locked: there may be a delay.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Usage_with_a_DOMString_argument">Usage with a <code>DOMString</code> argument</h3>

<pre class="brush: js;">screen.lockOrientationUniversal = screen.lockOrientation || screen.mozLockOrientation || screen.msLockOrientation;

if (screen.lockOrientationUniversal("landscape-primary")) {
  // Orientation was locked
} else {
  // Orientation lock failed
}
</pre>

<h3 id="Usage_with_an_Array_argument">Usage with an <code>Array</code> argument</h3>

<pre class="brush: js;">screen.lockOrientationUniversal = screen.lockOrientation || screen.mozLockOrientation || screen.msLockOrientation;

if (screen.lockOrientationUniversal(["landscape-primary", "landscape-secondary"])) {
  // Orientation was locked
} else {
  // Orientation lock failed
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Screen Orientation', 'published/20140220.html#extensions-to-the-screen-interface', 'lockOrientation()')}}</td>
   <td>{{Spec2('Screen Orientation')}}</td>
   <td>Initial definition (Not present in the draft anymore)</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.lockOrientation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("Screen.orientation")}}</li>
 <li>{{DOMxRef("Screen.unlockOrientation()")}}</li>
 <li>{{DOMxRef("Screen.onorientationchange")}}</li>
 <li><a href="/en-US/docs/Managing_screen_orientation">Managing screen orientation</a></li>
</ul>
